summaryrefslogtreecommitdiffstats
path: root/perl/perl-palm-pdb
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-04-11 00:14:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-11 00:14:36 +0700
commit4df213b3259228dc29cc6449a8b0cf265f703a05 (patch)
treefb7138ad8f35f2a05619eed2803c371092b90c7d /perl/perl-palm-pdb
parent026e64063ee19133fd1c71da17eb0d7de996d84b (diff)
downloadslackbuilds-4df213b3259228dc29cc6449a8b0cf265f703a05.tar.gz
slackbuilds-4df213b3259228dc29cc6449a8b0cf265f703a05.tar.xz
perl/perl-palm-pdb: Added (modules for PalmOS database files).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl/perl-palm-pdb')
-rw-r--r--perl/perl-palm-pdb/README5
-rw-r--r--perl/perl-palm-pdb/perl-palm-pdb.SlackBuild66
-rw-r--r--perl/perl-palm-pdb/perl-palm-pdb.info10
-rw-r--r--perl/perl-palm-pdb/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/perl/perl-palm-pdb/README b/perl/perl-palm-pdb/README
new file mode 100644
index 0000000000..ba9ff80113
--- /dev/null
+++ b/perl/perl-palm-pdb/README
@@ -0,0 +1,5 @@
+perl-palm-pdb (modules for PalmOS database files)
+
+This distribution contains Palm::PDB and Palm::Raw, a pair of Perl 5
+modules for reading, manipulating, and writing the .pdb and .prc database
+files used by PalmOS devices such as the PalmPilot and its successors.
diff --git a/perl/perl-palm-pdb/perl-palm-pdb.SlackBuild b/perl/perl-palm-pdb/perl-palm-pdb.SlackBuild
new file mode 100644
index 0000000000..c69df3cbe6
--- /dev/null
+++ b/perl/perl-palm-pdb/perl-palm-pdb.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for perl-palm-pdb
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=perl-palm-pdb
+VERSION=${VERSION:-1.400}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCNAM="Palm-PDB"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man3/*.3
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+# the above leaves at least one empty directory, so:
+find $PKG -depth -type d -a -empty -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 644 examples/*
+cp -a Changes LICENSE README examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-palm-pdb/perl-palm-pdb.info b/perl/perl-palm-pdb/perl-palm-pdb.info
new file mode 100644
index 0000000000..b5185713bf
--- /dev/null
+++ b/perl/perl-palm-pdb/perl-palm-pdb.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-palm-pdb"
+VERSION="1.400"
+HOMEPAGE="https://metacpan.org/pod/Palm::PDB"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/C/CJ/CJM/Palm-PDB-1.400.tar.gz"
+MD5SUM="1946ecfe2772a0fbac6219e3a5e455b0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/perl/perl-palm-pdb/slack-desc b/perl/perl-palm-pdb/slack-desc
new file mode 100644
index 0000000000..21b8deae70
--- /dev/null
+++ b/perl/perl-palm-pdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-palm-pdb: perl-palm-pdb (modules for PalmOS database files)
+perl-palm-pdb:
+perl-palm-pdb: This distribution contains Palm::PDB and Palm::Raw, a pair of Perl
+perl-palm-pdb: 5 modules for reading, manipulating, and writing the .pdb and .prc
+perl-palm-pdb: database files used by PalmOS devices such as the PalmPilot and
+perl-palm-pdb: its successors.
+perl-palm-pdb:
+perl-palm-pdb:
+perl-palm-pdb:
+perl-palm-pdb:
+perl-palm-pdb: